View Issue Details

IDProjectCategoryView StatusLast Update
0001642Ham Radio DeluxeBugpublic2017-05-22 23:41
Reporteruser36 
Assigned Touser47 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.3.0.448 
Summary0001642: DM-780 macro changes will not save
DescriptionWhen changes are made to macros in DM-780, they are not saved. This is due to the macro definition files being set to "Read Only."

Does not occur in XP; present in 7 and 8.x.

Steps To Reproduce1. Open the Macros Manager
2. Select a macro
3. Make changes to a macro
4. Click OK
5. Reopen the macro to edit
6. Observe that the changes made are not there

Additional InformationWorkaround:

To get around this, go into the macro manager and select "Save As." The file name of the current macro file should come up in the filename box of the dialog window. Find the filename in the file list and right-click on it. Select properties, then uncheck the "Read Only" box. After closing it, your changes should take.
TagsNo tags attached.
ModuleDM780
Sub-ModuleMacros
Testing

Relationships

Activities

WA9PIE

2015-09-22 23:24

administrator   ~0000615

I'll bet this was solved with the permissions fix.

user47

2015-11-25 07:16

  ~0000675

new installs - macro's are not read only..

Issue History

Date Modified Username Field Change
2014-06-02 19:45 user36 New Issue
2014-06-02 19:48 user36 Steps to Reproduce Updated View Revisions
2014-06-02 19:48 user36 Additional Information Updated View Revisions
2015-09-17 13:40 WA9PIE Category DM-780 => Bug
2015-09-22 23:24 WA9PIE Fix Build TBD => (select)
2015-09-22 23:24 WA9PIE Proposed Release => TBD
2015-09-22 23:24 WA9PIE Note Added: 0000615
2015-09-22 23:24 WA9PIE Summary Bug: DM-780 macro changes will not save => DM-780 macro changes will not save
2015-11-25 07:16 user47 Fixed in Release TBD => 6.3
2015-11-25 07:16 user47 Fixed in Build (ie. 377) (select) => 410
2015-11-25 07:16 user47 Note Added: 0000675
2015-11-25 07:16 user47 Status new => closed
2015-11-25 07:16 user47 Assigned To => user47
2015-11-25 07:16 user47 Resolution open => fixed
2017-03-08 19:02 WA9PIE Project 2 - Next Dev List (Holding Area) => Ham Radio Deluxe
2017-05-22 23:41 WA9PIE Fixed in Version => 6.3.0.448